Package org.apache.nutch.service

## Class NutchServer

- java.lang.Object
- - org.apache.nutch.service.NutchServer

-     public class NutchServer
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canStop​(boolean force)` |
    `ConfManager` | `getConfManager()` |
    `FetchNodeDb` | `getFetchNodeDb()` |
    `static NutchServer` | `getInstance()` |
    `JobManager` | `getJobManager()` |
    `int` | `getPort()` |
    `SeedManager` | `getSeedManager()` |
    `long` | `getStarted()` |
    `boolean` | `isRunning()` |
    `static void` | `main​(String[] args)` |
    `protected static void` | `setPort​(int port)` |
    `protected static void` | `startServer()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static NutchServer getInstance()

    - #### startServer

          protected static void startServer()

    - #### getConfManager

          public ConfManager getConfManager()

    - #### getJobManager

          public JobManager getJobManager()

    - #### getSeedManager

          public SeedManager getSeedManager()

    - #### getFetchNodeDb

          public FetchNodeDb getFetchNodeDb()

    - #### isRunning

          public boolean isRunning()

    - #### getStarted

          public long getStarted()

    - #### main

          public static void main​(String[] args)
                           throws org.apache.commons.cli.ParseException

      Throws:
        `org.apache.commons.cli.ParseException`

    - #### canStop

          public boolean canStop​(boolean force)

    - #### setPort

          protected static void setPort​(int port)

    - #### getPort

          public int getPort()

    - #### stop

          public void stop()